Package org.drinkless.tdlib

# Class TdApi.BusinessRecipients

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BusinessRecipients

Enclosing class:
  `TdApi`

public static class TdApi.BusinessRecipients extends TdApi.Object
Describes private chats chosen for automatic interaction with a business.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long[]`
  `chatIds`
  Identifiers of selected private chats.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long[]`
  `excludedChatIds`
  Identifiers of private chats that are always excluded; for businessConnectedBot only.
  `boolean`
  `excludeSelected`
  If true, then all private chats except the selected are chosen.
  `boolean`
  `selectContacts`
  True, if all private chats with contacts are selected.
  `boolean`
  `selectExistingChats`
  True, if all existing private chats are selected.
  `boolean`
  `selectNewChats`
  True, if all new private chats are selected.
  `boolean`
  `selectNonContacts`
  True, if all private chats with non-contacts are selected.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessRecipients()`
  Describes private chats chosen for automatic interaction with a business.
  `BusinessRecipients(long[] chatIds, long[] excludedChatIds, boolean selectExistingChats, boolean selectNewChats, boolean selectContacts, boolean selectNonContacts, boolean excludeSelected)`
  Describes private chats chosen for automatic interaction with a business.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatIds

    public long[] chatIds
    Identifiers of selected private chats.

  - ### excludedChatIds

    public long[] excludedChatIds
    Identifiers of private chats that are always excluded; for businessConnectedBot only.

  - ### selectExistingChats

    public boolean selectExistingChats
    True, if all existing private chats are selected.

  - ### selectNewChats

    public boolean selectNewChats
    True, if all new private chats are selected.

  - ### selectContacts

    public boolean selectContacts
    True, if all private chats with contacts are selected.

  - ### selectNonContacts

    public boolean selectNonContacts
    True, if all private chats with non-contacts are selected.

  - ### excludeSelected

    public boolean excludeSelected
    If true, then all private chats except the selected are chosen. Otherwise, only the selected chats are chosen.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BusinessRecipients

    public BusinessRecipients()
    Describes private chats chosen for automatic interaction with a business.

  - ### BusinessRecipients

    public BusinessRecipients(long[] chatIds, long[] excludedChatIds, boolean selectExistingChats, boolean selectNewChats, boolean selectContacts, boolean selectNonContacts, boolean excludeSelected)
    Describes private chats chosen for automatic interaction with a business.
    Parameters:
      `chatIds` - Identifiers of selected private chats.
      `excludedChatIds` - Identifiers of private chats that are always excluded; for businessConnectedBot only.
      `selectExistingChats` - True, if all existing private chats are selected.
      `selectNewChats` - True, if all new private chats are selected.
      `selectContacts` - True, if all private chats with contacts are selected.
      `selectNonContacts` - True, if all private chats with non-contacts are selected.
      `excludeSelected` - If true, then all private chats except the selected are chosen. Otherwise, only the selected chats are chosen.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR